std::discrete_distribution::probabilities(3)

NAME
std::discrete_distribution::probabilities - std::discrete_distribution::probabilities

Synopsis
   std::vector<double> probabilities() const; (since C++11)
   Obtains a std::vector<double> containing the individual probabilities of each
   integer that is generated by this distribution.

Parameters
   (none)

Return value
   An object of type std::vector<double>

Example
// Run this code
 #include <iostream>
 #include <vector>
 #include <random>
 int main()
 {
     std::discrete_distribution<> d({40, 10, 10, 40});
     std::vector<double> p = d.probabilities();
     for(auto n : p)
         std::cout << n << ' ';
     std::cout << '\n';
 }

Output:
 0.4 0.1 0.1 0.4